import matplotlib.pyplot as plt
from navipy.database import DataBaseLoad
from navipy.processing import pcode
from navipy.processing import tools
from navipy.processing import constants
from navipy import Brain
import pkg_resources

# 1) Connect to the database
mydb_filename = pkg_resources.resource_filename(
    'navipy', 'resources/database.db')
mydb = DataBaseLoad(mydb_filename)
mybrain = Brain(renderer=mydb)
# 2) Define the position-orinetation at which
# we want the image
posorient = mydb.posorients.loc[12, :]
mybrain.update(posorient)
my_apcv = pcode.apcv(mybrain.vision.scene,
                     mybrain.vision.viewing_directions)

my_apcv_sph = tools.cartesian_to_spherical(x=my_apcv[..., 0],
                                           y=my_apcv[..., 1],
                                           z=my_apcv[..., 2])
elevation = mydb.viewing_directions[...,
                                    constants.__spherical_indeces__[
                                        'elevation']]
azimuth = mydb.viewing_directions[...,
                                  constants.__spherical_indeces__[
                                      'azimuth']]


f, axarr = plt.subplots(1, 2, figsize=(15, 4))
f.show()
