import numpy as np
import matplotlib.pyplot as plt
from navipy.database import DataBaseLoad
import pkg_resources


# 1) Connect to the database
mydb_filename = pkg_resources.resource_filename(
    'navipy', 'resources/database.db')
mydb = DataBaseLoad(mydb_filename)
# 2) Define the position-orinetation at which
# we want the image
rowid = 12
# 3) Load the image
image = mydb.scene(rowid=rowid)
image = image[..., 0]
# 4) plot the image
to_plot_im = image[:, :, :3]
to_plot_im -= to_plot_im.min()
to_plot_im /= to_plot_im.max()
to_plot_im = to_plot_im * 255
to_plot_im = to_plot_im.astype(np.uint8)
to_plot_dist = image[:, :, 3]

plt.subplot(1, 2, 1)
plt.imshow(to_plot_im)
plt.gca().invert_yaxis()

plt.subplot(1, 2, 2)
plt.imshow(to_plot_dist)
plt.gca().invert_yaxis()

plt.show()
