import numpy as np
import matplotlib.pyplot as plt
from navipy.database import DataBaseLoad
import pkg_resources


# 1) Connect to the database
mydb_filename = pkg_resources.resource_filename(
    'navipy', 'resources/database.db')
mydb = DataBaseLoad(mydb_filename)
# 2) Define the position-orinetation at which
# we want the image and get the scene
rowid = 12
my_scene = mydb.scene(rowid=rowid)


f, axarr = plt.subplots(1, 2, figsize=(15, 4))

to_plot_im = my_scene[:, :, :3, 0]
to_plot_im -= to_plot_im.min()
to_plot_im /= to_plot_im.max()
to_plot_im = to_plot_im * 255
to_plot_im = to_plot_im.astype(np.uint8)
to_plot_dist = my_scene[:, :, 3, 0]

ax = axarr[0]
ax.imshow(to_plot_im)
ax.invert_yaxis()

ax = axarr[1]
ax.imshow(to_plot_dist)
ax.invert_yaxis()

f.show()
